From f168bf09b4a113d54691e6d580baf6f7c205e394 Mon Sep 17 00:00:00 2001
From: Lorem <notloremipsum@protonmail.com>
Date: Sun, 16 Jun 2019 20:03:07 +0530
Subject: [PATCH 1/4] New package: lmdb++-0.9.14.0+20160229

---
 srcpkgs/lmdb++/template | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 srcpkgs/lmdb++/template

diff --git a/srcpkgs/lmdb++/template b/srcpkgs/lmdb++/template
new file mode 100644
index 00000000000..1dfa1d024a1
--- /dev/null
+++ b/srcpkgs/lmdb++/template
@@ -0,0 +1,14 @@
+# Template file for 'lmdb++'
+pkgname=lmdb++
+version=0.9.14.0+20160229
+revision=2
+_commit=0b43ca87d8cfabba392dfe884eb1edb83874de02
+wrksrc="lmdbxx-${_commit}"
+build_style=gnu-makefile
+depends="lmdb-devel"
+short_desc="C++11 wrapper for the LMDB database library"
+maintainer="Lorem <notloremipsum@protonmail.com>"
+license="Unlicense"
+homepage="https://github.com/drycpp/lmdbxx/"
+distfiles="https://github.com/drycpp/lmdbxx/archive/${_commit}.tar.gz"
+checksum=93721132bbf5045d38ad62de2997655e9984c48ea5c9886746d42128f4b26fbd

From 8fa7f8a6eb406a86b176b9697af862af505bc339 Mon Sep 17 00:00:00 2001
From: Lorem <notloremipsum@protonmail.com>
Date: Sun, 16 Jun 2019 20:07:13 +0530
Subject: [PATCH 2/4] New package: mtxclient-0.2.1

---
 common/shlibs              |  1 +
 srcpkgs/mtxclient-devel    |  1 +
 srcpkgs/mtxclient/template | 28 ++++++++++++++++++++++++++++
 3 files changed, 30 insertions(+)
 create mode 120000 srcpkgs/mtxclient-devel
 create mode 100644 srcpkgs/mtxclient/template

diff --git a/common/shlibs b/common/shlibs
index 524b52be71c..d5b35703fe4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -425,6 +425,7 @@ libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libmad.so.0 libmad-0.15.1b_1
 libmatroska.so.6 libmatroska-1.4.1_5
+libmatrix_client.so.0.2.1 mtxclient-0.2.1_1
 libebml.so.4 libebml-1.3.0_5
 libdvdread.so.4 libdvdread-4.1.3_1
 libdvdnav.so.4 libdvdnav-4.1.3_1
diff --git a/srcpkgs/mtxclient-devel b/srcpkgs/mtxclient-devel
new file mode 120000
index 00000000000..d810425a433
--- /dev/null
+++ b/srcpkgs/mtxclient-devel
@@ -0,0 +1 @@
+mtxclient
\ No newline at end of file
diff --git a/srcpkgs/mtxclient/template b/srcpkgs/mtxclient/template
new file mode 100644
index 00000000000..011a3043cb4
--- /dev/null
+++ b/srcpkgs/mtxclient/template
@@ -0,0 +1,28 @@
+# Template file for 'mtxclient'
+pkgname=mtxclient
+version=0.2.1
+revision=1
+build_style=cmake
+configure_args="-DBUILD_LIB_TESTS=OFF -DBUILD_LIB_EXAMPLES=OFF -DBUILD_SHARED_LIBS=ON"
+hostmakedepends="pkg-config"
+makedepends="boost-devel json-c++ zlib-devel olm-devel libressl-devel libsodium-devel"
+short_desc="Client API library for the Matrix protocol"
+maintainer="Lorem <notloremipsum@protonmail.com>"
+license="MIT"
+homepage="https://github.com/Nheko-Reborn/mtxclient"
+distfiles="https://github.com/Nheko-Reborn/mtxclient/archive/v${version}.tar.gz"
+checksum=859217f3ed8fbe5479a6cf77dc15f164c76e593f588990c2acce3fe13c9f845a
+
+post_install() {
+	vlicense LICENSE
+}
+
+mtxclient-devel_package() {
+	depends="mtxclient-${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/cmake
+		vmove "usr/lib/*.so"
+ 	}
+}

From f3784fd3f6c25b2cd11af51ca8f8129e834622bb Mon Sep 17 00:00:00 2001
From: Lorem <notloremipsum@protonmail.com>
Date: Sun, 16 Jun 2019 20:09:19 +0530
Subject: [PATCH 3/4] New package: tweeny-3

---
 srcpkgs/tweeny/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/tweeny/template

diff --git a/srcpkgs/tweeny/template b/srcpkgs/tweeny/template
new file mode 100644
index 00000000000..8db56ec6f90
--- /dev/null
+++ b/srcpkgs/tweeny/template
@@ -0,0 +1,16 @@
+# Template file for 'tweeny'
+pkgname=tweeny
+version=3
+revision=1
+build_style=cmake
+makedepends="SDL2-devel"
+short_desc="Modern C++ tweening library"
+maintainer="Lorem <notloremipsum@protonmail.com>"
+license="MIT"
+homepage="https://github.com/mobius3/tweeny"
+distfiles="https://github.com/mobius3/tweeny/archive/v${version}.tar.gz"
+checksum=699633578f958cbb1363f80164ac063dc40ce08dfc26b0591752ca412e64c941
+
+post_install() {
+	vlicense LICENSE
+}

From 5a95e295810020207ef05563c9798218981135dc Mon Sep 17 00:00:00 2001
From: Lorem <notloremipsum@protonmail.com>
Date: Sun, 16 Jun 2019 20:10:43 +0530
Subject: [PATCH 4/4] New package: nheko-0.6.4

---
 srcpkgs/nheko/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/nheko/template

diff --git a/srcpkgs/nheko/template b/srcpkgs/nheko/template
new file mode 100644
index 00000000000..74e8a433721
--- /dev/null
+++ b/srcpkgs/nheko/template
@@ -0,0 +1,16 @@
+# Template file for 'nheko'
+pkgname=nheko
+version=0.6.4
+revision=1
+build_style=cmake
+hostmakedepends="qt5-host-tools qt5-qmake pkg-config"
+makedepends="qt5-multimedia-devel qt5-svg-devel qt5-tools-devel
+ tweeny spdlog mtxclient-devel boost-devel cmark-devel olm-devel json-c++
+ libsodium-devel lmdb++ lmdb-devel"
+depends="hicolor-icon-theme"
+short_desc="Desktop client for Matrix using Qt and C++14"
+maintainer="Lorem <notloremipsum@protonmail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/Nheko-Reborn/nheko"
+distfiles="https://github.com/Nheko-Reborn/nheko/archive/v${version}.tar.gz"
+checksum=5dbe32cb8760cfae6f05644568cabf422a368eec62918839a92e182d508f751e
